From: "Andreas K. Hüttel" <dilfridge@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/armadillo/
Date: Mon, 28 Feb 2022 23:21:14 +0000 (UTC) [thread overview]
Message-ID: <1646090429.6e29b1f4eb1fcc5952f90cf34bfcd49e26882126.dilfridge@gentoo> (raw)
commit: 6e29b1f4eb1fcc5952f90cf34bfcd49e26882126
Author: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 28 23:20:29 2022 +0000
Commit: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Mon Feb 28 23:20:29 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e29b1f4
sci-libs/armadillo: Version bump 10.8.2
Closes: https://bugs.gentoo.org/828090
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>
sci-libs/armadillo/Manifest | 1 +
sci-libs/armadillo/armadillo-10.8.2.ebuild | 150 +++++++++++++++++++++++++++++
2 files changed, 151 insertions(+)
diff --git a/sci-libs/armadillo/Manifest b/sci-libs/armadillo/Manifest
index df22bca2b6bf..684cb4fe5754 100644
--- a/sci-libs/armadillo/Manifest
+++ b/sci-libs/armadillo/Manifest
@@ -1,3 +1,4 @@
DIST armadillo-10.2.0.tar.xz 6042348 BLAKE2B e85f24ca7137c3a8c8fc53db15b382f2e4d468673c99e036ef9b4a4436be47d24a37664dfa88ff9effa08a4c868bd212d03c204dda09cd26038a0f8ccbf61375 SHA512 c5d6f4bac0acba63fbd7681653d521249fd303ffbbc5b18df71500eb111514c1d09db600a580091d6a23c83748c109c30938bbcd80a3a0b2c25e2fdea932f2cd
DIST armadillo-10.3.0.tar.xz 6214388 BLAKE2B 212d543e8d1845c974cf11302a944a151f63c7f301046910da6b2f27684080df520e5be10f8490a1cc27071ec84b1a91a2431e33960b561c56b291575bb003e8 SHA512 99877ff6581d3effea282d1c4e258883618f4107d84cfe85ed877afc62ba445793e760693c0c6c2113a1822881160cb10adb90087e97b4e31d3a1e64344a6353
DIST armadillo-10.7.1.tar.xz 6258792 BLAKE2B cc820638dd7b571b5654e14bb82ced3586cb2950b1fb5aebf6bdd9439151353c4750296aaa4d15144ade6ed13e52743ac41e3cf34b824809931c3c031804bddf SHA512 b9be6a38165a4d23a61715a3c3f970dcb9b813bebd51b7372a4e8349ab2c351cd5c74f662d860911b30b2b816f2eb1255768fab1497ec087a63a07f56f74327f
+DIST armadillo-10.8.2.tar.xz 6262832 BLAKE2B f8a5a66464614661bcccffb8138434d117ad07dcea5f89ddde45df293df5dd4f10def2085b85d37386337fd8bd0152914a957e0b1b7919a47ec8b1a79e92b90b SHA512 720fadad491dfeeb894544b0305cd64a0e0402e66fc788949ecd54c0b1a3b9c3ede9f75b081f832931d59d2bd59529cebb9d5b57b8582df869765cac01c2979b
diff --git a/sci-libs/armadillo/armadillo-10.8.2.ebuild b/sci-libs/armadillo/armadillo-10.8.2.ebuild
new file mode 100644
index 000000000000..069c2e80c3f3
--- /dev/null
+++ b/sci-libs/armadillo/armadillo-10.8.2.ebuild
@@ -0,0 +1,150 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+CMAKE_IN_SOURCE_BUILD=1
+
+inherit cmake toolchain-funcs multilib
+
+DESCRIPTION="Streamlined C++ linear algebra library"
+HOMEPAGE="http://arma.sourceforge.net/"
+SRC_URI="mirror://sourceforge/arma/${P}.tar.xz"
+
+LICENSE="Apache-2.0"
+SLOT="0/10"
+KEYWORDS="~amd64 ~arm ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="arpack blas doc examples hdf5 lapack mkl superlu test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="test? ( lapack )"
+
+# atlas? ( sci-libs/atlas[lapack] )
+
+RDEPEND="
+ dev-libs/boost
+ arpack? ( sci-libs/arpack )
+ blas? ( virtual/blas )
+ lapack? ( virtual/lapack )
+ superlu? ( >=sci-libs/superlu-5.2 )
+"
+
+DEPEND="${RDEPEND}
+ arpack? ( virtual/pkgconfig )
+ blas? ( virtual/pkgconfig )
+ hdf5? ( sci-libs/hdf5:= )
+ lapack? ( virtual/pkgconfig )
+ mkl? ( sci-libs/mkl )
+"
+PDEPEND="${RDEPEND}
+ hdf5? ( sci-libs/hdf5:= )
+ mkl? ( sci-libs/mkl )
+"
+
+src_prepare() {
+ # avoid the automagic cmake macros...
+ sed -i -e 's/^ *include(ARMA_Find/# No automagic include(ARMA_Find/g' CMakeLists.txt || die
+
+ # ... except for mkl, since without a license it's hard to figure out what to do there
+ if use mkl; then
+ sed -i -e 's/^# No automagic include(ARMA_FindMKL)/include(ARMA_FindMKL)/g' CMakeLists.txt || die
+ fi
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DINSTALL_LIB_DIR="${EPREFIX}/usr/$(get_libdir)"
+ )
+ if use arpack; then
+ mycmakeargs+=(
+ -DARPACK_FOUND=ON
+ -DARPACK_LIBRARY="$($(tc-getPKG_CONFIG) --libs arpack)"
+ )
+ else
+ mycmakeargs+=(
+ -DARPACK_FOUND=OFF
+ )
+ fi
+# if use atlas; then
+# local c=atlas-cblas l=atlas-clapack
+# $(tc-getPKG_CONFIG) --exists ${c}-threads && c+=-threads
+# $(tc-getPKG_CONFIG) --exists ${l}-threads && l+=-threads
+# mycmakeargs+=(
+# -DCBLAS_FOUND=ON
+# -DCBLAS_INCLUDE_DIR="$($(tc-getPKG_CONFIG) --cflags-only-I ${c} | sed 's/-I//')"
+# -DCBLAS_LIBRARIES="$($(tc-getPKG_CONFIG) --libs ${c})"
+# -DCLAPACK_FOUND=ON
+# -DCLAPACK_INCLUDE_DIR="$($(tc-getPKG_CONFIG) --cflags-only-I ${l} | sed 's/-I//')"
+# -DCLAPACK_LIBRARIES="$($(tc-getPKG_CONFIG) --libs ${l})"
+# )
+# fi
+ if use blas; then
+ mycmakeargs+=(
+ -DBLAS_FOUND=ON
+ -DBLAS_LIBRARIES="$($(tc-getPKG_CONFIG) --libs blas)"
+ )
+ else
+ mycmakeargs+=(
+ -DBLAS_FOUND=OFF
+ )
+ fi
+ if use hdf5; then
+ mycmakeargs+=(
+ -DDETECT_HDF5=ON
+ -DHDF5_LIBRARIES="-lhdf5"
+ -DHDF5_INCLUDE_DIRS=/usr/include
+ )
+ else
+ mycmakeargs+=(
+ -DDETECT_HDF5=OFF
+ )
+ fi
+ if use lapack; then
+ mycmakeargs+=(
+ -DLAPACK_FOUND=ON
+ -DLAPACK_LIBRARIES="$($(tc-getPKG_CONFIG) --libs lapack)"
+ )
+ else
+ mycmakeargs+=(
+ -DLAPACK_FOUND=OFF
+ )
+ fi
+ if use superlu; then
+ mycmakeargs+=(
+ -DSuperLU_FOUND=ON
+ -DSuperLU_LIBRARY="$($(tc-getPKG_CONFIG) --libs superlu)"
+ -DSuperLU_INCLUDE_DIR="$($(tc-getPKG_CONFIG) --cflags-only-I superlu | awk '{print $1}' | sed 's/-I//')"
+ )
+ else
+ mycmakeargs+=(
+ -DSuperLU_FOUND=OFF
+ )
+ fi
+
+ cmake_src_configure
+}
+
+src_test() {
+ pushd examples > /dev/null
+ emake \
+ CXX="$(tc-getCXX)" \
+ CXXFLAGS="-I../include ${CXXFLAGS} -DARMA_USE_BLAS -DARMA_USE_LAPACK" \
+ LIB_FLAGS="-L.. -larmadillo $($(tc-getPKG_CONFIG) --libs blas lapack)"
+ LD_LIBRARY_PATH="..:${LD_LIBRARY_PATH}" ./example1 || die
+ emake clean
+ popd > /dev/null
+}
+
+src_install() {
+ cmake_src_install
+
+ dodoc README.md
+ use doc && dodoc *pdf *html
+
+ if use examples; then
+ docinto examples
+ dodoc -r examples/*
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
next reply other threads:[~2022-02-28 23:21 UTC|newest]
Thread overview: 62+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-02-28 23:21 Andreas K. Hüttel [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-10 19:02 [gentoo-commits] repo/gentoo:master commit in: sci-libs/armadillo/ Andreas K. Hüttel
2024-07-23 4:17 Sam James
2024-04-25 10:39 Andreas K. Hüttel
2023-08-25 16:37 Arthur Zamarin
2023-08-25 13:11 Arthur Zamarin
2023-07-30 19:04 Andreas Sturmlechner
2023-07-30 19:04 Andreas Sturmlechner
2023-07-30 19:04 Andreas Sturmlechner
2023-07-30 17:18 Arthur Zamarin
2023-07-27 19:42 Andreas Sturmlechner
2023-07-10 19:39 Arthur Zamarin
2023-06-11 23:25 Andreas K. Hüttel
2023-06-11 23:25 Andreas K. Hüttel
2023-04-07 12:38 Andreas K. Hüttel
2022-11-19 11:41 Andrew Ammerlaan
2022-10-15 7:06 Jakov Smolić
2022-10-15 6:44 Jakov Smolić
2022-02-28 23:21 Andreas K. Hüttel
2021-10-10 14:25 Andreas K. Hüttel
2021-05-28 15:57 David Seifert
2021-03-12 23:58 Andreas K. Hüttel
2021-03-02 9:06 Michał Górny
2021-03-02 4:51 Sam James
2021-03-02 4:51 Sam James
2021-03-02 4:51 Sam James
2021-02-11 7:45 Sergei Trofimovich
2021-01-20 21:46 Andreas K. Hüttel
2021-01-17 11:52 David Seifert
2020-02-22 20:13 David Seifert
2019-12-22 13:44 Andreas K. Hüttel
2019-12-22 13:44 Andreas K. Hüttel
2019-12-22 13:07 Andreas K. Hüttel
2018-12-25 16:06 Andreas K. Hüttel
2018-12-04 22:19 Andreas K. Hüttel
2018-10-14 13:38 Andreas Sturmlechner
2018-08-22 0:35 Mikle Kolyada
2018-08-18 22:36 Sergei Trofimovich
2017-12-27 23:30 Andreas Hüttel
2017-12-27 23:30 Andreas Hüttel
2017-10-13 9:21 Andreas Hüttel
2017-07-11 20:33 Sebastien Fabbro
2017-06-09 11:28 Andreas Hüttel
2017-06-09 11:28 Andreas Hüttel
2017-04-16 14:12 Andreas Hüttel
2017-04-16 14:12 Andreas Hüttel
2017-03-24 13:52 Andreas Hüttel
2017-02-26 9:15 Michael Palimaka
2017-02-24 0:13 Michael Weber
2016-12-18 15:44 Agostino Sarubbo
2016-12-17 14:47 Andreas Hüttel
2016-12-13 20:32 Andreas Hüttel
2016-12-13 20:15 Andreas Hüttel
2016-12-13 20:15 Andreas Hüttel
2015-11-12 23:20 Andreas Hüttel
2015-11-10 19:07 Markus Meier
2015-10-23 15:39 Andreas Hüttel
2015-10-23 15:39 Andreas Hüttel
2015-09-22 5:04 Jeroen Roovers
2015-09-08 20:57 Andreas Hüttel
2015-09-08 20:56 Andreas Hüttel
2015-09-01 19:44 Andreas Hüttel
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1646090429.6e29b1f4eb1fcc5952f90cf34bfcd49e26882126.dilfridge@gentoo \
--to=dilfridge@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox